/* Shared library add-on to iptables to add MULTIHOP target
 * 
 * Copyright (C) 2006 DSN Lab, The Johns Hopkins University <smesh@dsn.jhu.edu>
 * 
 * libipt_MULTIHOP.c 07/17/2006
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <getopt.h>

#include <iptables.h>
#include <linux/netfilter_ipv4/ip_tables.h>

static void
help(void)
{
	printf(
"MULTIHOP target module v%s takes no options\n",
IPTABLES_VERSION);
}

static struct option opts[] = {
	{ 0 }
};

static void
init(struct ipt_entry_target *t, unsigned int *nfcache)
{
}

static int
parse(int c, char **argv, int invert, unsigned int *flags,
      const struct ipt_entry *entry,
      struct ipt_entry_target **target)
{
	return 0;
}

static void
final_check(unsigned int flags)
{
}

static struct iptables_target multihop = {
	.next		= NULL,
	.name		= "MULTIHOP",
	.version	= IPTABLES_VERSION,
	.size		= IPT_ALIGN(0),
	.userspacesize	= IPT_ALIGN(0),
 	.help		= &help,
	.init		= &init,
 	.parse		= &parse,
	.final_check 	= &final_check,
	.print		= NULL,
	.save		= NULL,
	.extra_opts	= opts
};

void _init(void)
{
	register_target(&multihop);
}

